summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2017-10-19 21:43:39 +0200
committerTupone Alfredo <tupone@gentoo.org>2017-10-19 21:43:39 +0200
commiteb5feee2d87d486910df3c8b3cb505f1eb0e47c3 (patch)
treebb8da3e495b6ba2aed64ab1739b6cadb83379162 /sci-mathematics/why3-for-spark/why3-for-spark-2017.ebuild
parentdev-php/libvirt-php: Drop old (diff)
downloadgentoo-eb5feee2d87d486910df3c8b3cb505f1eb0e47c3.tar.gz
gentoo-eb5feee2d87d486910df3c8b3cb505f1eb0e47c3.tar.bz2
gentoo-eb5feee2d87d486910df3c8b3cb505f1eb0e47c3.zip
sci-mathematics/why3-for-spark: Adding why3 for spark
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'sci-mathematics/why3-for-spark/why3-for-spark-2017.ebuild')
-rw-r--r--sci-mathematics/why3-for-spark/why3-for-spark-2017.ebuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/sci-mathematics/why3-for-spark/why3-for-spark-2017.ebuild b/sci-mathematics/why3-for-spark/why3-for-spark-2017.ebuild
new file mode 100644
index 00000000000..b69b22e506f
--- /dev/null
+++ b/sci-mathematics/why3-for-spark/why3-for-spark-2017.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+MYP=${PN}-gpl-${PV}-src
+
+DESCRIPTION="Platform for deductive program verification"
+HOMEPAGE="http://why3.lri.fr/"
+SRC_URI="https//mirrors.cdn.adacore.com/art/591c45e2c7a447af2deed055
+ -> ${MYP}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="coq doc emacs gtk html hypothesis-selection profiling zarith"
+
+DEPEND=">=dev-lang/ocaml-4.02.3
+ dev-ml/menhir
+ coq? ( sci-mathematics/coq )
+ doc? ( dev-tex/rubber )
+ gtk? ( dev-ml/lablgtk[sourceview] )
+ emacs? ( app-editors/emacs:* )
+ html? ( dev-tex/hevea )
+ hypothesis-selection? ( dev-ml/ocamlgraph )
+ zarith? ( dev-ml/zarith )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/${MYP}
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+REQUIRED_USE="html? ( doc )"
+
+src_prepare() {
+ mv configure.{in,ac} || die
+ sed -i \
+ -e "s:configure.in:configure.ac:g" \
+ Makefile.in
+ default
+ eautoreconf
+}
+
+src_configure() {
+ econf \
+ --disable-coq-tactic \
+ --disable-pvs-libs \
+ --disable-isabelle-libs \
+ --disable-zip \
+ $(use_enable coq coq-libs) \
+ $(use_enable doc) \
+ $(use_enable emacs emacs-compilation) \
+ $(use_enable gtk ide) \
+ $(use_enable html html-doc) \
+ $(use_enable hypothesis-selection) \
+ $(use_enable profiling) \
+ $(use_enable zarith)
+}
+
+src_compile() {
+ default
+ use doc && emake doc
+}
+
+src_install() {
+ default
+ emake DESTDIR="${D}" install_spark2014_dev
+ if use doc; then
+ dodoc doc/manual.pdf
+ use html && dodoc -r doc/html
+ fi
+}